### Method

# Gtk TextBufferget_insert

#### Declaration [src]

    GtkTextMark*
    gtk_text_buffer_get_insert (
      GtkTextBuffer* buffer
    )

#### Description [src]

Returns the mark that represents the cursor (insertion point).

Equivalent to calling `gtk_text_buffer_get_mark()` to get the mark named “insert”, but very slightly more efficient, and involves less typing.

#### Return value

Type: `GtkTextMark`

Insertion point mark.

The data is owned by the instance.